#
# Erminig - Configuration de l'application
# Copyright (C) 2025 L0m1g
# Sous licence DOUARN - Voir le fichier LICENCE pour les détails
#
# Ce fichier fait partie du projet Erminig.
# Libre comme l’air, stable comme un menhir, et salé comme le beurre.
#

import os
from pathlib import Path


class Config:
    LIB_DIR = Path("/var/lib/erminig")
    CACHE_DIR = Path("/var/cache/erminig")
    BASE_DIR = Path("/opt/erminig")
    DB_PATH = LIB_DIR / "erminig.db"
    PAKVA_DIR = LIB_DIR / "pakva"
    GOVEL_DIR = LIB_DIR / "govel"
    REPO_DIR = LIB_DIR / "keo"
    BUILD_DIR = Path("/tmp/erminig/build")
    PAK_USER = "pak"

    GITHUB_TOKEN = os.environ.get("GITHUB_TOKEN")

    RETRY_MAX_ATTEMPTS = 2  # Pour toutes les opérations réseau
    RETRY_DELAY_SECONDS = 2
